/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: ObjectPair.java,v 1.1.1.1 2006/01/31 09:13:26 gxie Exp $
 */

package org.eclipse.eodm.owl.reasoner.structural;

/**
 * ObjectPair TODO Please add comments here.
 */
public class ObjectPair {
    public Object o1, o2;

    public ObjectPair() {
    }

    public ObjectPair(Object o1, Object o2) {
        this.o1 = o1;
        this.o2 = o2;
    }

    public boolean equals(Object obj) {
        if (obj instanceof ObjectPair) {
            return ((ObjectPair) obj).o1 == o1 && ((ObjectPair) obj).o2 == o2;
        } else {
            return false;
        }
    }

    public int hashCode() {
        return (o1 == null ? 0 : o1.hashCode())
                ^ (o2 == null ? 0 : o2.hashCode());
    }
}
