/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFSReasonerFactory.java,v 1.1.1.1 2006/01/31 09:13:25 gxie Exp $
 */
package org.eclipse.eodm.rdfs.reasoner;

/**
 * The interface through which a reasoner (inference engine) can be
 * instantiated.
 *  
 */

public interface RDFSReasonerFactory {

    /**
     * create a RDFSReasoner instance
     * 
     * @return an instances of a RDFSReasoner
     */
    public RDFSReasoner createRDFSReasoner();

}
